.GalleryDesktopOverlay {
    overflow: scroll;
    width: 100%;
    height: 100%;
    max-width: 100%;
    padding: 25px;
    position: fixed;
    top: 0;
    left: 0;
    overflow-x: hidden;

    @include before-desktop {
        top: 0 !important;
    }

    &_isVisible {
        z-index: 300;
    }

    &-Close {
        position: absolute;
        top: 30px;
        right: 30px;
        background: transparent;

        &::after {
            content: url('../../style/images/cross.svg');
        }
    }

    .Slider-Arrows {
        position: absolute;
        top: 6px;
        left: 0;
    }

    .Slider-Arrow {
        &::before {
            display: inline-block;
        }

        &_left {
            margin-right: 45px;

            &::before {
                content: url('../../style/images/arrow_left.svg');
            }
        }

        &_right {
            &::before {
                transform: rotate(180deg);
                content: url('../../style/images/arrow_left.svg');
            }
        }
    }

    .ProductGallery {
        @include after-mobile {
            display: grid;
            height: 100%;
            max-height: 100%;
            grid-template-columns: 1fr 130px;
            grid-gap: 1.5rem;
        }

        .ProductGallery-Notice {
            display: none;
        }

        &-AdditionalWrapper {
            display: none;

            @include after-mobile {
                display: initial;
                padding: 50px 0;
            }
        }

        &-AdditionalProductInfo {
            margin-top: 20px;
            font-family: $font-rifton;
            font-size: 12px;
            text-transform: uppercase;
        }

        &-Additional {
            height: 90%;
        }

        .Slider-Container {
            top: 50%;
            transform: translateY(-50%);
        }

        &-Slider {
            @include after-mobile {
                height: 90vh;
            }
        }
    }
}
